diff -uNr amanith/amanith.pro amanith-new/amanith.pro
--- amanith/amanith.pro	2005-12-06 05:43:12.000000000 -0500
+++ amanith-new/amanith.pro	2006-11-22 16:08:07.000000000 -0500
@@ -1,4 +1,4 @@
 TEMPLATE     = subdirs
 CONFIG      += ordered
 
-SUBDIRS += 3rdpart build plugins examples
+SUBDIRS += build plugins
diff -uNr amanith/build/build.pro amanith-new/build/build.pro
--- amanith/build/build.pro	2005-12-30 09:42:16.000000000 -0500
+++ amanith-new/build/build.pro	2006-11-22 15:51:25.000000000 -0500
@@ -69,7 +69,9 @@
 #
 #*********************************************************
 contains(DEFINES, _OPENGLEXT_PLUGIN) {
-    SOURCES += support/glew.c gopenglext.cpp
+    SOURCES += gopenglext.cpp
+    INCLUDEPATH += @FINKPREFIX@/include
+    LIBS += -L@FINKPREFIX@/lib -lGLEW
     CONFIG += opengl
 
     # Qt4 syntax
diff -uNr amanith/config/settings.conf amanith-new/config/settings.conf
--- amanith/config/settings.conf	2006-01-25 12:20:16.000000000 -0500
+++ amanith-new/config/settings.conf	2006-11-22 15:37:32.000000000 -0500
@@ -43,7 +43,7 @@
 
     # link options: EXTERNAL / INTERNAL to specify a shared library or static linking inside Amanith library
     # features options: READ | WRITE to specify if plugin can read and/or write jpeg files
-    JPEG_PLUGIN_OPTIONS = EXTERNAL READ WRITE
+    JPEG_PLUGIN_OPTIONS = INTERNAL READ WRITE
 
 #*********************************************************
 #                       PNG PLUGIN
@@ -53,7 +53,7 @@
 
     # link options: EXTERNAL / INTERNAL to specify a shared library or static linking inside Amanith library
     # features options: READ | WRITE to specify if plugin can read and/or write png files
-    PNG_PLUGIN_OPTIONS = EXTERNAL READ WRITE
+    PNG_PLUGIN_OPTIONS = INTERNAL READ WRITE
 
 #*********************************************************
 #                      FONTS PLUGIN
@@ -62,7 +62,7 @@
     DEFINES += _FONTS_PLUGIN
     # link options: EXTERNAL / INTERNAL to specify a shared library or static linking inside Amanith library
     # features options: TRUETYPE | TYPE1 | TYPE42 | CFF | PFR | CID to specify witch type of fonts can be read.
-    FONTS_PLUGIN_OPTIONS = EXTERNAL TRUETYPE TYPE1 TYPE42 CFF PFR CID
+    FONTS_PLUGIN_OPTIONS = INTERNAL TRUETYPE TYPE1 TYPE42 CFF PFR CID
 
 
 #*********************************************************
diff -uNr amanith/include/amanith/geometry/gaxisangle.h amanith-new/include/amanith/geometry/gaxisangle.h
--- amanith/include/amanith/geometry/gaxisangle.h	2006-01-26 04:18:45.000000000 -0500
+++ amanith-new/include/amanith/geometry/gaxisangle.h	2006-11-22 16:25:35.000000000 -0500
@@ -29,7 +29,7 @@
 #ifndef GAXISANG_H_
 #define GAXISANG_H_
 
-#include "gvect.h"
+#include "amanith/geometry/gvect.h"
 
 /*!
 	\file gaxisangle.h
diff -uNr amanith/plugins/fonts/build.conf amanith-new/plugins/fonts/build.conf
--- amanith/plugins/fonts/build.conf	2005-09-26 04:18:52.000000000 -0400
+++ amanith-new/plugins/fonts/build.conf	2006-11-22 15:37:32.000000000 -0500
@@ -38,9 +38,10 @@
 # take into account compilation mode (debug or release)
 DEFINES -= FT_DEBUG_LEVEL_ERROR FT_DEBUG_LEVEL_TRACE
 
-INCLUDEPATH += $$(AMANITHDIR)/3rdpart/freetype2/include
+INCLUDEPATH += @FINKPREFIX@/lib/freetype219/include
+INCLUDEPATH += @FINKPREFIX@/lib/freetype219/include/freetype2
 
-unix: LIBS += $$(AMANITHDIR)/lib/libfreetype2.a $$(AMANITHDIR)/lib/libzlib.a
+unix: LIBS += -L@FINKPREFIX@/lib/freetype219/lib -lfreetype -lz
 win32: {
 
     !contains(DEFINES, WIN32_MINGW) {
@@ -51,4 +52,4 @@
     contains(DEFINES, WIN32_MINGW) {
         LIBS += $$(AMANITHDIR)/lib/libfreetype2.a $$(AMANITHDIR)/lib/libzlib.a
     }
-}
\ No newline at end of file
+}
diff -uNr amanith/plugins/fonts/gfontsimpexp.cpp amanith-new/plugins/fonts/gfontsimpexp.cpp
--- amanith/plugins/fonts/gfontsimpexp.cpp	2006-01-26 04:18:45.000000000 -0500
+++ amanith-new/plugins/fonts/gfontsimpexp.cpp	2006-11-22 15:37:32.000000000 -0500
@@ -34,7 +34,6 @@
 
 #include <ft2build.h>
 #include FT_FREETYPE_H
-#include <freetype/internal/ftgloadr.h>
 
 namespace Amanith {
 
@@ -198,7 +197,7 @@
 	GGlyphMetrics tmpMetrics;
 	FT_Error error;
 	GInt32 i, j, k0, k1, numVert;
-	FT_SubGlyphRec subGlyph;
+	// FT_SubGlyphRec subGlyph;
 	GPoint2 p;
 	GReal x, y;
 	GVect<GReal, 2> v;
@@ -217,34 +216,7 @@
 		(Face->glyph->format != FT_GLYPH_FORMAT_COMPOSITE))
 		return;
 
-	// composite glyph, we have to load subglyphs
-	if (Face->glyph->num_subglyphs > 0) {
-
-		GDynArray<GSubChar2D> subChars(Face->glyph->num_subglyphs);
-
-		for (i = 0; i < (GInt32)Face->glyph->num_subglyphs; i++) {
-			subGlyph = Face->glyph->subglyphs[i];
-			subChars[i].GlyphIndex = subGlyph.index;
-			subChars[i].Flags = subGlyph.flags;
-			// rotation and scale
-			subChars[i].Transformation[G_X][G_X] = Fixed1616ToReal(subGlyph.transform.xx);
-			subChars[i].Transformation[G_X][G_Y] = Fixed1616ToReal(subGlyph.transform.xy);
-			// x position
-			subChars[i].Transformation[G_X][G_Z] = subGlyph.arg1 * Scale;
-			// rotation and scale
-			subChars[i].Transformation[G_Y][G_X] = Fixed1616ToReal(subGlyph.transform.yx);
-			subChars[i].Transformation[G_Y][G_Y] = Fixed1616ToReal(subGlyph.transform.yy);
-			// y position
-			subChars[i].Transformation[G_Y][G_Z] = subGlyph.arg2 * Scale;
-			// last row is an identity
-			subChars[i].Transformation[G_Z][G_X] = 0;
-			subChars[i].Transformation[G_Z][G_Y] = 0;
-			subChars[i].Transformation[G_Z][G_Z] = 1;
-		}
-		c = Font.AddChar(subChars);
-	}
 	// simple glyph, lets load contours
-	else {
 		GDynArray<GPoint2> tmpPoints;
 		GDynArray<GInt32> tmpPointsFlags;
 		GDynArray<GFontCharContour2D> tmpContours;
@@ -276,7 +248,6 @@
 			k0 = k1 + 1;
 		}
 		c = Font.AddChar(tmpContours);
-	}
 
 	if (c) {
 		// copy metrics
diff -uNr amanith/plugins/jpeg/build.conf amanith-new/plugins/jpeg/build.conf
--- amanith/plugins/jpeg/build.conf	2005-09-26 04:19:04.000000000 -0400
+++ amanith-new/plugins/jpeg/build.conf	2006-11-22 15:37:32.000000000 -0500
@@ -25,7 +25,7 @@
     }
 }
 
-unix: LIBS += $$(AMANITHDIR)/lib/libjpeg.a
+unix: LIBS += -L@FINKPREFIX@/lib -ljpeg
 win32: {
 
     !contains(DEFINES, WIN32_MINGW) {
diff -uNr amanith/plugins/jpeg/gjpegimpexp.cpp amanith-new/plugins/jpeg/gjpegimpexp.cpp
--- amanith/plugins/jpeg/gjpegimpexp.cpp	2006-01-26 04:18:45.000000000 -0500
+++ amanith-new/plugins/jpeg/gjpegimpexp.cpp	2006-11-22 15:37:33.000000000 -0500
@@ -36,7 +36,7 @@
 #include <csetjmp>
 
 G_EXTERN_C {
-	#include "../../3rdpart/libjpeg/jpeglib.h"
+	#include <jpeglib.h>
 };
 
 /****************************************************************************
diff -uNr amanith/plugins/jpeg/jpeg.pro amanith-new/plugins/jpeg/jpeg.pro
--- amanith/plugins/jpeg/jpeg.pro	2005-07-01 04:43:24.000000000 -0400
+++ amanith-new/plugins/jpeg/jpeg.pro	2006-11-22 15:37:33.000000000 -0500
@@ -1,6 +1,8 @@
 include(../../config/useamanith.conf)
 include(./build.conf)
 
+INCLUDEPATH += @FINKPREFIX@/include
+
 TARGET = jpegimpexp
 
 TEMPLATE = lib
diff -uNr amanith/plugins/png/build.conf amanith-new/plugins/png/build.conf
--- amanith/plugins/png/build.conf	2005-09-26 04:19:14.000000000 -0400
+++ amanith-new/plugins/png/build.conf	2006-11-22 15:37:33.000000000 -0500
@@ -25,9 +25,7 @@
     }
 }
 
-INCLUDEPATH += $$(AMANITHDIR)/3rdpart/zlib
-
-unix: LIBS += $$(AMANITHDIR)/lib/libpng.a $$(AMANITHDIR)/lib/libzlib.a
+unix: LIBS += -L@FINKPREFIX@/lib -lpng -lz
 win32: {
 
     !contains(DEFINES, WIN32_MINGW) {
diff -uNr amanith/plugins/png/gpngimpexp.cpp amanith-new/plugins/png/gpngimpexp.cpp
--- amanith/plugins/png/gpngimpexp.cpp	2006-01-26 04:18:45.000000000 -0500
+++ amanith-new/plugins/png/gpngimpexp.cpp	2006-11-22 15:37:33.000000000 -0500
@@ -35,7 +35,7 @@
 //#include <csetjmp>
 
 G_EXTERN_C {
-	#include "../../3rdpart/libpng/png.h"
+	#include <png.h>
 };
 
 /****************************************************************************
@@ -365,7 +365,7 @@
 	/* Set error handling.  REQUIRED if you aren't supplying your own
 	* error handling functions in the png_create_write_struct() call.
 	*/
-	if (setjmp(png_ptr->jmpbuf)) {
+	if (setjmp(png_jmpbuf(png_ptr))) {
 		/* If we get here, we had a problem reading the file */
 		std::fclose(fp);
 		png_destroy_write_struct(&png_ptr, (png_infopp)info_ptr);
diff -uNr amanith/plugins/png/png.pro amanith-new/plugins/png/png.pro
--- amanith/plugins/png/png.pro	2005-07-01 04:43:24.000000000 -0400
+++ amanith-new/plugins/png/png.pro	2006-11-22 15:37:33.000000000 -0500
@@ -1,6 +1,8 @@
 include(../../config/useamanith.conf)
 include(./build.conf)
 
+INCLUDEPATH += @FINKPREFIX@/include
+
 TARGET = pngimpexp
 
 TEMPLATE = lib
diff -uNr amanith/src/gopenglext.cpp amanith-new/src/gopenglext.cpp
--- amanith/src/gopenglext.cpp	2006-01-26 04:18:45.000000000 -0500
+++ amanith-new/src/gopenglext.cpp	2006-11-22 16:00:15.000000000 -0500
@@ -126,7 +126,7 @@
 
 	PrintOpenGLError();  // Check for OpenGL errors
 
-	glGetObjectParameterivARB(obj, GL_OBJECT_INFO_LOG_LENGTH_ARB, &infologLength);
+	glGetObjectParameterivARB(obj, GL_OBJECT_INFO_LOG_LENGTH_ARB, (GLint*)&infologLength);
 	PrintOpenGLError();  // Check for OpenGL errors
 
 	if (infologLength > 0) {
@@ -135,7 +135,7 @@
 			G_DEBUG("ERROR: Could not allocate InfoLog buffer\n");
 			exit(1);
 		}
-		glGetInfoLogARB(obj, infologLength, &charsWritten, infoLog);
+		glGetInfoLogARB(obj, infologLength, (GLsizei*)&charsWritten, infoLog);
 		G_DEBUG("InfoLog:\n" + GString((char*)infoLog));
 		delete [] infoLog;
 	}