diff -Nurd OpenGTL-0.9.14/CMakeLists.txt OpenGTL-0.9.14-new/CMakeLists.txt
--- OpenGTL-0.9.14/CMakeLists.txt	2010-06-09 08:57:41.000000000 -0400
+++ OpenGTL-0.9.14-new/CMakeLists.txt	2010-10-22 11:45:48.000000000 -0400
@@ -16,11 +16,11 @@
 set(OPENGTL_LIB_VERSION ${OPENGTL_VERSION})
 set(OPENGTL_LIB_SOVERSION "0.7")
 
-set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/)
-set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include/)
-set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin/)
-set(SHARE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/OpenGTL/)
-set(DOC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/OpenGTL/)
+set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
+set(INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/include)
+set(BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin)
+set(SHARE_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/OpenGTL)
+set(DOC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/doc/OpenGTL)
 set(GTLIMAGEIO_EXTENSIONS_INSTALL_DIR ${LIB_INSTALL_DIR}/GTLImageIO/Extensions)
 
 #
@@ -31,13 +31,16 @@
                                   ARCHIVE DESTINATION "${LIB_INSTALL_DIR}" COMPONENT Devel )
 
 
+set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+set(CMAKE_INSTALL_RPATH "" )
+
 # on the Mac support an extra install directory for application bundles starting with cmake 2.6
 if(APPLE)
    set(INSTALL_TARGETS_DEFAULT_ARGS  ${INSTALL_TARGETS_DEFAULT_ARGS}
                                BUNDLE DESTINATION "${BUNDLE_INSTALL_DIR}" )
+	set(CMAKE_INSTALL_NAME_DIR "${LIB_INSTALL_DIR}")
 endif(APPLE)
 
-
 set(OPENGTL_TESTS_DATA "" CACHE FILEPATH "Directory that contains the data of the tests.")
 
 include (TestBigEndian)
@@ -45,9 +48,6 @@
 configure_file(config-endian.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-endian.h )
 
 find_package(LLVM REQUIRED)
-if( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" ) # There is no way with MSVC to know the llvm version
-  message(FATAL_ERROR "LLVM 2.7 is required.")
-endif( NOT MSVC AND NOT LLVM_VERSION STREQUAL "2.7" )
 
 if(MSVC)
   add_definitions(/FIiso646.h)
diff -Nurd OpenGTL-0.9.14/Extensions/PngDC/CMakeLists.txt OpenGTL-0.9.14-new/Extensions/PngDC/CMakeLists.txt
--- OpenGTL-0.9.14/Extensions/PngDC/CMakeLists.txt	2010-06-09 08:57:41.000000000 -0400
+++ OpenGTL-0.9.14-new/Extensions/PngDC/CMakeLists.txt	1969-12-31 19:00:00.000000000 -0500
@@ -1,18 +0,0 @@
-include_directories(${PNG_INCLUDE_DIR})
-
-add_definitions( ${OPENGTL_BUILD_DEFINITION} )
-
-set(PNG_DC_SRCS
-    PngDC.cpp )
-
-add_library(PngDC SHARED ${PNG_DC_SRCS} )
-target_link_libraries(PngDC GTLImageIO ${PNG_LIBRARIES})
-
-# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
-add_definitions( "-D__STDC_LIMIT_MACROS" )
-add_definitions( -DCOUMPONENT_NAME=\"\\\"PngDC\\\"\" )
-add_definitions( ${PNG_DEFINITIONS} )
-
-# Install target
-install(TARGETS PngDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
-# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
diff -Nurd OpenGTL-0.9.14/Extensions/PngDC/CmakeLists.txt OpenGTL-0.9.14-new/Extensions/PngDC/CmakeLists.txt
--- OpenGTL-0.9.14/Extensions/PngDC/CmakeLists.txt	1969-12-31 19:00:00.000000000 -0500
+++ OpenGTL-0.9.14-new/Extensions/PngDC/CmakeLists.txt	2010-10-22 11:50:07.000000000 -0400
@@ -0,0 +1,18 @@
+include_directories(${PNG_INCLUDE_DIR})
+
+add_definitions( ${OPENGTL_BUILD_DEFINITION} )
+
+set(PNG_DC_SRCS
+    PngDC.cpp )
+
+add_library(PngDC MODULE ${PNG_DC_SRCS} )
+target_link_libraries(PngDC GTLImageIO ${PNG_LIBRARIES})
+
+# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
+add_definitions( "-D__STDC_LIMIT_MACROS" )
+add_definitions( -DCOUMPONENT_NAME=\"\\\"PngDC\\\"\" )
+add_definitions( ${PNG_DEFINITIONS} )
+
+# Install target
+install(TARGETS PngDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
+# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
diff -Nurd OpenGTL-0.9.14/Extensions/RawDC/CMakeLists.txt OpenGTL-0.9.14-new/Extensions/RawDC/CMakeLists.txt
--- OpenGTL-0.9.14/Extensions/RawDC/CMakeLists.txt	2010-06-09 08:57:41.000000000 -0400
+++ OpenGTL-0.9.14-new/Extensions/RawDC/CMakeLists.txt	1969-12-31 19:00:00.000000000 -0500
@@ -1,22 +0,0 @@
-include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libraw )
-
-SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
-                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
-                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/foveon.cpp
-                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
-                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
-   )
-
-set( RAW_DC_SRCS
-     RawDC.cpp )
-
-add_library( RawDC SHARED ${RAW_DC_SRCS} ${libraw_LIB_SRCS} )
-target_link_libraries( RawDC GTLImageIO )
-
-# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
-add_definitions( "-D__STDC_LIMIT_MACROS" )
-add_definitions( -DCOUMPONENT_NAME=\"\\\"RawDC\\\"\" )
-
-# Install target
-install( TARGETS RawDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
-# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW
diff -Nurd OpenGTL-0.9.14/Extensions/RawDC/CmakeLists.txt OpenGTL-0.9.14-new/Extensions/RawDC/CmakeLists.txt
--- OpenGTL-0.9.14/Extensions/RawDC/CmakeLists.txt	1969-12-31 19:00:00.000000000 -0500
+++ OpenGTL-0.9.14-new/Extensions/RawDC/CmakeLists.txt	2010-10-22 11:50:11.000000000 -0400
@@ -0,0 +1,22 @@
+include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/libraw )
+
+SET(libraw_LIB_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_common.cpp
+                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/dcraw_fileio.cpp
+                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/internal/foveon.cpp
+                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_cxx.cpp
+                    ${CMAKE_CURRENT_SOURCE_DIR}/libraw/src/libraw_c_api.cpp
+   )
+
+set( RAW_DC_SRCS
+     RawDC.cpp )
+
+add_library( RawDC MODULE ${RAW_DC_SRCS} ${libraw_LIB_SRCS} )
+target_link_libraries( RawDC GTLImageIO )
+
+# __STDC_LIMIT_MACROS is needed by LLVM's DataTypes.h
+add_definitions( "-D__STDC_LIMIT_MACROS" )
+add_definitions( -DCOUMPONENT_NAME=\"\\\"RawDC\\\"\" )
+
+# Install target
+install( TARGETS RawDC  DESTINATION ${GTLIMAGEIO_EXTENSIONS_INSTALL_DIR} )
+# install( FILES ImageDC.h DESTINATION ${INCLUDE_INSTALL_DIR}/GTLImageIO ) # NO REASON TO INSTALL HEADERS FOR NOW