--- ParaView3/Applications/Client/CMakeLists.txt.orig	2009-07-01 16:46:33.000000000 -0400
+++ ParaView3/Applications/Client/CMakeLists.txt	2009-08-01 00:52:51.000000000 -0400
@@ -534,12 +534,6 @@
       GET_FILENAME_COMPONENT(QT_LIB_DIR_tmp ${QT_${qtlib}_LIBRARY_RELEASE} PATH)
       GET_FILENAME_COMPONENT(QT_LIB_NAME_tmp ${QT_${qtlib}_LIBRARY_RELEASE} NAME)
       FILE(GLOB QT_LIB_LIST RELATIVE ${QT_LIB_DIR_tmp} "${QT_${qtlib}_LIBRARY_RELEASE}*")
-      INSTALL(CODE "
-MESSAGE(STATUS \"Installing \${CMAKE_INSTALL_PREFIX}/${PV_INSTALL_LIB_DIR}/${QT_LIB_NAME_tmp}\")
-EXECUTE_PROCESS (WORKING_DIRECTORY ${QT_LIB_DIR_tmp}
-                 COMMAND tar c ${QT_LIB_LIST}
-                 COMMAND tar -xC \${CMAKE_INSTALL_PREFIX}/${PV_INSTALL_LIB_DIR})
-        " COMPONENT Runtime)
     ELSE (NOT WIN32)
       GET_FILENAME_COMPONENT(QT_DLL_PATH_tmp ${QT_QMAKE_EXECUTABLE} PATH)
       INSTALL(FILES ${QT_DLL_PATH_tmp}/${qtlib}4.dll DESTINATION ${PV_INSTALL_BIN_DIR} COMPONENT Runtime)
--- ParaView3.3.0-20080715/Utilities/Xdmf2/libsrc/XdmfArray.h.gcc43	2008-06-26 14:52:35.000000000 -0600
+++ ParaView3.3.0-20080715/Utilities/Xdmf2/libsrc/XdmfArray.h	2008-07-16 12:03:40.000000000 -0600
@@ -26,6 +26,7 @@
 #define __XdmfArray_h
 
 #include "XdmfDataDesc.h"
+#include <cstdlib>
 
 #define XDMF_LONGEST_LENGTH     (XdmfInt64)~0
 #define XDMF_ARRAY_TAG_LENGTH  80
--- ParaView-3.4.0/VTK/Utilities/vtklibxml2/config_cmake.h.in.org	2009-05-08 21:23:17.000000000 -0400
+++ ParaView-3.4.0/VTK/Utilities/vtklibxml2/config_cmake.h.in	2009-05-08 21:25:52.000000000 -0400
@@ -73,6 +73,9 @@
 /* Define if readline library is there (-lreadline) */
 #cmakedefine HAVE_LIBREADLINE
 
+/* Define if ncurses library is there (-lncurses) */
+#cmakedefine HAVE_LIBNCURSES
+
 /* Have compression library */
 #cmakedefine HAVE_LIBZ 1
 
--- ParaView3/Applications/OverView/Core/MainWindow.cxx.orig	2009-08-01 01:02:22.000000000 -0400
+++ ParaView3/Applications/OverView/Core/MainWindow.cxx	2009-08-01 01:02:55.000000000 -0400
@@ -933,7 +933,7 @@
   QString assistantExe;
   QString profileFile;
 
-  const char* assistantName = "assistant";
+  const char* assistantName = "paraview-assistant";
 #if defined(Q_WS_WIN)
   const char* binDir = "\\";
   const char* binDir1 = "\\..\\";
--- ParaView3/CMakeLists.txt.orig	2009-07-02 13:11:30.000000000 -0400
+++ ParaView3/CMakeLists.txt	2009-08-01 01:10:57.000000000 -0400
@@ -98,12 +98,7 @@
     # don't go greater than supported version
     STRING(REGEX MATCH "^4\\.3\\.[0-9]+" qt_version_tmp "${QTVERSION}")
     IF (NOT qt_version_tmp)
-      STRING(REGEX MATCH "^4\\.[0-9]+\\.[0-9]+" qt_version4_x_tmp "${QTVERSION}")
-      IF (NOT qt_version4_x_tmp)
-        MESSAGE(SEND_ERROR "Qt ${QTVERSION} not supported.  Please use Qt 4.3 (you may need to clean your dirtied cache).")
-      ELSE (NOT qt_version4_x_tmp)
-        MESSAGE("WARNING: You are using Qt ${QTVERSION}. Officially supported version is Qt 4.3")
-      ENDIF (NOT qt_version4_x_tmp)
+       MESSAGE("WARNING: You are using Qt ${QTVERSION}. Officially supported version is Qt 4.3")
     ENDIF (NOT qt_version_tmp)
     # enforce Carbon in VTK for Qt/Mac
     IF(Q_WS_MAC)
--- ParaView3/Applications/OverView/Core/MainWindow.cxx.orig	2009-08-01 01:14:30.000000000 -0400
+++ ParaView3/Applications/OverView/Core/MainWindow.cxx	2009-08-01 01:16:58.000000000 -0400
@@ -952,6 +952,11 @@
     helper = QCoreApplication::applicationDirPath() +
       binDir1 + QString("pqClientDocFinder.txt");
     }
+  if(!QFile::exists(helper))
+   { 
+      // Look in a FHS compliant directory
+      helper = QString("@FINKPREFIX@/share/doc/paraview/pqClientDocFinder.txt");
+   }
   if(QFile::exists(helper))
     {
     QFile file(helper);
--- ParaView3/VTK/Utilities/vtklibxml2/CMakeLists.txt.orig	2008-11-24 11:50:27.000000000 -0500
+++ ParaView3/VTK/Utilities/vtklibxml2/CMakeLists.txt	2009-08-01 01:21:37.000000000 -0400
@@ -46,6 +46,7 @@
 
 #CHECK_LIBRARY_EXISTS_CONCAT("history"  append_history HAVE_LIBHISTORY)
 #CHECK_LIBRARY_EXISTS_CONCAT("readline" readline       HAVE_LIBREADLINE)
+CHECK_LIBRARY_EXISTS_CONCAT("ncurses"  curses_version HAVE_LIBNCURSES)
 IF(NOT VTK_ZLIB_LIBRARIES)
   CHECK_LIBRARY_EXISTS_CONCAT("z"      inflateEnd     HAVE_LIBZ)
 ENDIF(NOT VTK_ZLIB_LIBRARIES)
--- ParaView3/VTK/Rendering/CMakeLists.txt.org	2009-08-02 17:46:27.000000000 -0400
+++ ParaView3/VTK/Rendering/CMakeLists.txt	2009-08-02 17:48:40.000000000 -0400
@@ -407,8 +407,6 @@
   SET(VTK_USE_WGL_GET_PROC_ADDRESS 1)
 ELSE (WIN32)
   IF (APPLE)
-    SET(VTK_USE_APPLE_LOADER 1)
-  ELSE (APPLE)
     INCLUDE(CheckFunctionExists)
     SET(VTK_SAVE_CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES}")
     SET(CMAKE_REQUIRED_LIBRARIES
--- ParaView3/Plugins/PointSprite/CMakeLists.txt.orig	2009-08-07 20:54:28.000000000 -0400
+++ ParaView3/Plugins/PointSprite/CMakeLists.txt	2009-08-07 20:55:20.000000000 -0400
@@ -33,6 +33,7 @@
     ${PARAVIEW_KWSYS_INCLUDE_DIRS}
     ${VTK_INCLUDE_DIR}
     ${MPI_INCLUDE_PATH}
+    ${OPENGL_INCLUDE_DIR}
   )
 ELSE (ParaView_SOURCE_DIR)
   FIND_PACKAGE(ParaView REQUIRED)
--- ParaView3/Plugins/PointSprite/Examples/Rendering/Cxx/CMakeLists.txt.orig	2009-06-15 09:02:06.000000000 -0400
+++ ParaView3/Plugins/PointSprite/Examples/Rendering/Cxx/CMakeLists.txt	2012-03-20 06:06:15.000000000 -0400
@@ -6,5 +6,5 @@
 target_link_libraries(${exe} CSCS_PointSprite_Rendering vtkIO)
 
 install(TARGETS ${exe} 
-    RUNTIME DESTINATION ${PROJECT_BINARY_DIR}
+    RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/${PV_INSTALL_BIN_DIR}
 )
--- Paraview3/Qt/Components/pqClientMainWindow.cxx.orig	2009-08-08 17:51:19.000000000 -0400
+++ Paraview3/Qt/Components/pqClientMainWindow.cxx	2009-08-08 17:56:59.000000000 -0400
@@ -1014,6 +1014,11 @@
     helper = QCoreApplication::applicationDirPath() +
       binDir1 + QString("pqClientDocFinder.txt");
     }
+   if(!QFile::exists(helper))
+   { 
+      // Look in a FHS compliant directory
+      helper = QString("@FINKPREFIX@/share/doc/paraview/pqClientDocFinder.txt");
+   }
   if(QFile::exists(helper))
     {
     QFile file(helper);