diff -Naur zphoto-1.2.orig/Info.plist zphoto-1.2/Info.plist
--- zphoto-1.2.orig/Info.plist	Thu Jan  1 00:00:00 1970
+++ zphoto-1.2/Info.plist	Sun Nov  7 18:38:50 2004
@@ -0,0 +1,36 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
+<plist version="0.9">
+<dict>
+	<key>CFBundleInfoDictionaryVersion</key>
+	<string>6.0</string>
+	<key>CFBundleIdentifier</key>
+	<string>net.sourceforge.Zphoto</string>
+	<key>CFBundleDevelopmentRegion</key>
+	<string>English</string>
+	<key>CFBundleExecutable</key>
+	<string>Zphoto</string>
+	<key>CFBundleIconFile</key>
+	<string>wxmac.icns</string>
+	<key>CFBundleName</key>
+	<string>Zphoto</string>
+	<key>CFBundlePackageType</key>
+	<string>APPL</string>
+	<key>CFBundleSignature</key>
+	<string>????</string>
+	<key>CFBundleVersion</key>
+	<string>1.2</string>
+	<key>CFBundleShortVersionString</key>
+	<string>1.2</string>
+	<key>CFBundleGetInfoString</key>
+	<string>Zphoto version 1.2, (c) 2004 Satoru Takabayashi</string>
+	<key>CFBundleLongVersionString</key>
+	<string>1.2, (c) 2004 Satoru Takabayashi</string>
+	<key>NSHumanReadableCopyright</key>
+	<string>Copyright 2004 Satoru Takabayashi / Distributed under GNU Lesser General Public License.</string>
+	<key>LSRequiresCarbon</key>
+        <true/>
+	<key>CSResourcesFileMapped</key>
+	<true/>
+</dict>
+</plist>
diff -Naur zphoto-1.2.orig/configure zphoto-1.2/configure
--- zphoto-1.2.orig/configure	Tue Jul 20 16:49:27 2004
+++ zphoto-1.2/configure	Sun Nov  7 19:04:39 2004
@@ -4494,7 +4494,7 @@
     SWFMovie_save(movie, "foo"); /* 0.2a API */
 }
 EOF
-if $CC -c tmp.c > /dev/null 2>&1; then
+if $CC $CPPFLAGS -c tmp.c > /dev/null 2>&1; then
 
 cat >>confdefs.h <<_ACEOF
 #define MING_0_2a 1
diff -Naur zphoto-1.2.orig/flash.c zphoto-1.2/flash.c
--- zphoto-1.2.orig/flash.c	Tue Jul 20 16:48:11 2004
+++ zphoto-1.2/flash.c	Sun Nov  7 18:41:00 2004
@@ -409,6 +409,7 @@
     SWFDisplayItem shadow;
     SWFMovieClip clip;
     float shadow_offset;
+    SWFDisplayItem item; 
 
     clip  = newSWFMovieClip();
     shadow_offset = photo->size.width  * maker->photo_margin / 2;
@@ -421,7 +422,8 @@
     } else {
         SWFShape image = create_image(maker, photo->bitmap, photo->size,
                                       border_line_width, border_color);
-        SWFMovieClip_add(clip, image);
+        item = SWFMovieClip_add(clip, image);
+        SWFDisplayItem_moveTo(item, 0, 0); 
         SWFMovieClip_nextFrame(clip);
     }
 
@@ -518,7 +520,8 @@
     caption.clip = newSWFMovieClip();
     caption.size = frame.size;
 
-    SWFMovieClip_add(caption.clip, frame.shape);
+    item = SWFMovieClip_add(caption.clip, frame.shape);
+    SWFDisplayItem_moveTo(item, 0, 0); 
 
     item = SWFMovieClip_add(caption.clip, text.text);
     SWFDisplayItem_moveTo(item, 0, frame.size.height);
diff -Naur zphoto-1.2.orig/support/Makefile.in zphoto-1.2/support/Makefile.in
--- zphoto-1.2.orig/support/Makefile.in	Tue Jul 20 16:49:23 2004
+++ zphoto-1.2/support/Makefile.in	Sun Nov  7 18:41:00 2004
@@ -56,7 +56,7 @@
 LIBRARIES = $(noinst_LIBRARIES)
 libsupport_a_AR = $(AR) $(ARFLAGS)
 libsupport_a_DEPENDENCIES = @LIBOBJS@
-am_libsupport_a_OBJECTS =
+am_libsupport_a_OBJECTS = null.c
 libsupport_a_OBJECTS = $(am_libsupport_a_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
diff -Naur zphoto-1.2.orig/support/null.c zphoto-1.2/support/null.c
--- zphoto-1.2.orig/support/null.c	Thu Jan  1 00:00:00 1970
+++ zphoto-1.2/support/null.c	Sun Nov  7 18:41:00 2004
@@ -0,0 +1 @@
+void null() {}
diff -Naur zphoto-1.2.orig/util.c zphoto-1.2/util.c
--- zphoto-1.2.orig/util.c	Tue Jul 20 16:48:11 2004
+++ zphoto-1.2/util.c	Sun Nov  7 18:41:00 2004
@@ -79,7 +79,7 @@
     va_end(args);
 }
 
-#if defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__)
+#if defined(__NetBSD__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__APPLE__)
 /*
  * They have the declaration of vasprintf in stdio.h
  */
diff -Naur zphoto-1.2.orig/wxzphoto.cpp zphoto-1.2/wxzphoto.cpp
--- zphoto-1.2.orig/wxzphoto.cpp	Tue Jul 20 17:40:53 2004
+++ zphoto-1.2/wxzphoto.cpp	Mon Aug 22 13:59:49 2005
@@ -292,9 +292,9 @@
     menu.Append(Menu_Context_Clear_Selected, _("&Clear the selected file"));
     menu.Append(Menu_Context_Clear_All,      _("Clear &all files"));
     if (!Selected(GetSelection()))
-        menu.Enable(Menu_Context_Clear_Selected, FALSE);
+        menu.Enable(Menu_Context_Clear_Selected, false);
     if (GetCount() == 0)
-        menu.Enable(Menu_Context_Clear_All, FALSE);
+        menu.Enable(Menu_Context_Clear_All, false);
     PopupMenu(&menu, pos.x, pos.y);
 }
 
@@ -318,7 +318,7 @@
         if (zphoto_supported_file_p(filenames[n]))
             m_pOwner->Append(filenames[n]);
     }
-    return TRUE;
+    return true;
 }
 
 // end byHand
@@ -475,7 +475,7 @@
     // begin byHand
     SetIcon(wxICON(wxzphoto));
 
-    colorData.SetChooseFull(TRUE);
+    colorData.SetChooseFull(true);
     for (int i = 0; i < 16; i++) {
         wxColour color(i*16, i*16, i*16);
         colorData.SetCustomColour(i, color);
@@ -1166,7 +1166,7 @@
         int width, height;
         unsigned char *bare_bitmap = 
             zphoto_image_get_bitmap(filename.c_str(), &width, &height);
-        wxImage image = wxImage(width, height, bare_bitmap, FALSE);
+        wxImage image = wxImage(width, height, bare_bitmap, false);
         return wxBitmap(image);
     } else {
         return wxBitmap(filename, wxBITMAP_TYPE_ANY);
@@ -1434,7 +1434,7 @@
 
 void wxZphotoFrame::OnQuit(wxCommandEvent& WXUNUSED(event))
 {
-    Close(TRUE);
+    Close(true);
 }
 
 void wxZphotoFrame::OnClose(wxCloseEvent& event)